import ajax from '../utils/request.js';

/**
 * 词典
 * @param {object} params
 * @returns
 */
export function getVocabularyInfo(params) {
  return ajax({
    api: '/html/getVocabularyInfo',
    data: params.data,
    base: 'xzMao',
    noJY: true,
    method: 'GET',
  });
}
/**
 * 图片
 * @param {object} params
 * @returns
 */
export function textImageMatch(params) {
  return ajax({
    api: '/html/textImageMatch?isSampleDocument=false',
    data: params.data,
    base: 'xzMao',
    noJY: true,
    method: 'POST',
  });
}
/**
 * 校阅
 * @param {object} params
 * @returns
 */
export function checkContent(params) {
  return ajax({
    api: '/html/checkContent?isSampleDocument=false',
    data: params.data,
    base: 'xzMao',
    noJY: true,
    method: 'POST',
  });
}

/**
 * 全文写作
 * @param {object} params 
 * @returns 
 */
export function commit(params) {
    return ajax({
        api: '/html/checkContent?isSampleDocument=false',
        data: params.data,
        base: 'xzMao',
        noJY: true,
        method: 'POST',
      });
}
